/*

File: Main.js

Abstract: Basic support code for Fader example widget; kept separate from Fader logic.
	"flipper" is a regular Fader to demonstrate the standard info button for widgets.
	"transFader" is a TransitionFader that performs the neon sign effect.

Version: 1.0

 Copyright 2005 Apple Computer, Inc. All rights reserved.

IMPORTANT:  This Apple software is supplied to 
you by Apple Computer, Inc. ("Apple") in 
consideration of your agreement to the following 
terms, and your use, installation, modification 
or redistribution of this Apple software 
constitutes acceptance of these terms.  If you do 
not agree with these terms, please do not use, 
install, modify or redistribute this Apple 
software.

In consideration of your agreement to abide by 
the following terms, and subject to these terms, 
Apple grants you a personal, non-exclusive 
license, under Apple's copyrights in this 
original Apple software (the "Apple Software"), 
to use, reproduce, modify and redistribute the 
Apple Software, with or without modifications, in 
source and/or binary forms; provided that if you 
redistribute the Apple Software in its entirety 
and without modifications, you must retain this 
notice and the following text and disclaimers in 
all such redistributions of the Apple Software. 
Neither the name, trademarks, service marks or 
logos of Apple Computer, Inc. may be used to 
endorse or promote products derived from the 
Apple Software without specific prior written 
permission from Apple.  Except as expressly 
stated in this notice, no other rights or 
licenses, express or implied, are granted by 
Apple herein, including but not limited to any 
patent rights that may be infringed by your 
derivative works or by other works in which the 
Apple Software may be incorporated.

The Apple Software is provided by Apple on an "AS 
IS" basis.  APPLE MAKES NO WARRANTIES, EXPRESS OR 
IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED 
WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY 
AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING 
THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE 
OR IN COMBINATION WITH YOUR PRODUCTS.

IN NO EVENT SHALL APPLE BE LIABLE FOR ANY 
SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL 
DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS 
OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, 
REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF 
THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER 
UNDER THEORY OF CONTRACT, TORT (INCLUDING 
NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN 
IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF 
SUCH DAMAGE.
 
*/
var wert2 = 0;
var	showDauer = 0;
var flipper;
var flipflash;
var transFader;
// klaus ad

var home = {url:"http://www.spam-o-meter.com"};
var htmlcode = {url:"http://spam-o-meter.com/download/html-code.php"};
var timerInterval = null;
var xml_request = null;
// klaus end
if (window.widget) {
	widget.onhide = onHide;
	widget.onshow = onShow;
}

function loaded() {
	var fades = new Array;

	transFader = new TransitionFader(fades, 250, 1000);
	transFader.start();
	flipper = new Fader(document.getElementById('flip'), null, 500);
	flipflash = new Fader(document.getElementById('flipflash'), null, 1200);
	updateNews();
	
	
	// Call the support function in System/Library/WidgetResources/button/genericButton.js
	// to create the "Done" button on backside
	//createGenericButton (document.getElementById('doneButton'), 'Done', showFront, 41);
	
	
}

function updateNews()
{
	
	
	var url = 'http://www.spam-o-meter.com/rss/spam_day.rss';
	var xml_request = new XMLHttpRequest();
	xml_request.onload = function(e) {xml_loaded(e, xml_request);}
	xml_request.overrideMimeType("text/xml");
	xml_request.open("GET", url);
	xml_request.setRequestHeader("Cache-Control", "no-cache");
	xml_request.send(null);
	
}

function findChild (element, nodeName)
{
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling)
	{
		if (child.nodeName == nodeName)
			return child;
	}
	
	return null;
}

function xml_loaded (event, request)
{
	if (request.responseXML)
	{
		var rssTag = findChild (request.responseXML, "rss");		

		if(rssTag)
		{
			var channelTag = findChild (rssTag, "channel");

			if(channelTag)
			{
	
				var childCounter = 0;
				for (var child = channelTag.firstChild; child != null && childCounter<40; child = child.nextSibling)
				{
					if (child.nodeName == "item")
					{
						childCounter++;

						var titel = findChild (child, "title");
						if(titel.firstChild.data == "prozent")
						{
							var werte = findChild (child, "description");
							var wert = werte.firstChild.data;
							
						}
						if(titel.firstChild.data == "aktiv")
						{
							var aktiv = findChild (child, "description");
							var wert3 = aktiv.firstChild.data;
													
						}
						if(titel.firstChild.data == "zuwachs")
						{
							
							var zuwachs = findChild (child, "description");
							var  wert2 = zuwachs.firstChild.data;
							wertZuwachs= parseFloat(wert2);
							
						}	
							
								
					}
				}
			}
		}
	}

showflash(wert, wertZuwachs, wert3);

}


// flashfilm entladen

function hide(){ 

document.getElementById("prozent").innerHTML ='&nbsp;';
document.getElementById("millions").innerHTML ='&nbsp;';

} 

//flashfilm einbinden
			   
function showflash(werte, werte2, werte3) {


var wert = werte;
var flashsource		= "prozent.swf?prozent="+wert;

var CreativBreite	= 110;

var CreativHoehe	= 37;

wert2 = parseInt(wert2)+parseFloat(werte2)+parseFloat(showDauer);
wert3 = parseFloat(werte3);
var flashsource2	= "millions.swf?zuwachs="+wert2+"&aktiv="+wert3 ;

var CreativBreite2	= 106;

var CreativHoehe2	= 45;

document.getElementById("prozent").innerHTML	='<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ID="flashad" WIDTH="'+CreativBreite+'" HEIGHT="'+CreativHoehe+'"><PARAM NAME="movie" VALUE="'+flashsource+'"><PARAM NAME="quality" VALUE="autohigh"><EMBED src="'+flashsource+'" NAME="flashad" quality=high  WIDTH="'+CreativBreite+'" HEIGHT="'+CreativHoehe+'" TYPE="application/x-shockwave-flash"></EMBED></OBJECT>';

document.getElementById("millions").innerHTML	='<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ID="flashad" WIDTH="'+CreativBreite2+'" HEIGHT="'+CreativHoehe2+'"><PARAM NAME="movie" VALUE="'+flashsource2+'"><PARAM NAME="quality" VALUE="autohigh"><EMBED src="'+flashsource2+'" NAME="flashad" quality=high WIDTH="'+CreativBreite2+'" HEIGHT="'+CreativHoehe2+'" TYPE="application/x-shockwave-flash"></EMBED></OBJECT>';


showDauer = 0;
}

function onHide () {
	hide();
	
	transFader.pause();
	if(timerInterval != null) {
		clearInterval(timerInterval);
		timerInterval = null;
	
	}
		
	startzeit = new Date();
}

function onShow() {
	transFader.resume();
	
	if(timerInterval == null) {
		timerInterval = setInterval
		("updateNews(true);", 10000);
		}
		endzeit	 = new Date();
		dauer = Math.round((endzeit.getTime() - startzeit.getTime()) /100) /10;
		showDauer = Math.round(( dauer / 10 * parseFloat(wertZuwachs))/Math.pow(10,1))*Math.pow(10,1);
			
	updateNews();	
}


// Prefs let us set the time between each transition, 
// as well as how quick each fade is.
function showBackside(event) {
	if (window.widget) {
		widget.prepareForTransition("ToBack");
	}
	flipflash.fadeOut();
	transFader.pause();
	document.getElementById("fliprollie").style.display="none";
	document.getElementById('front').style.display='none';
	document.getElementById('back').style.display='block';
	
	if (window.widget) {
		setTimeout("widget.performTransition()", 0);
	}
}	

function showFront(event) {
	if (window.widget) {
		widget.prepareForTransition("ToFront");
	}
		document.getElementById('back').style.display='none';
		document.getElementById('front').style.display='block';
		transFader.resume();
	if (window.widget) {
		setTimeout("widget.performTransition()", 0);
	}
}

// debug code uses the div defined in Scroller.html demo

var debugMode = false;

// write to the debug div.
function DEBUG(str) {
	if (debugMode) {
		if (window.widget) {
			alert(str);
		} else {
			document.getElementById('debugDiv').innerHTML += str + "<br>";
		}
	}
}

// toggle the debugMode flag, but only show the debugDiv if we're in Safari
function toggleDebug() {
	debugMode = !debugMode;
	if (debugMode == true && !window.widget) {
		document.getElementById('debugDiv').style.display = 'block';
	} else {
		document.getElementById('debugDiv').style.display = 'none';
	}
}
//---------------------------------------------------------------------------------------------
//
// clickOnFeedTitle - take user to the feed main web page when she clicks on the widget title. 
//
//----------------------------------------------------------------------------------------------

function clickOnFeedTitle(event)
{
	if (window.widget)
	{
			widget.openURL (home.url);
	} else document.location = home.url;
}

function clickOnHtmlCode(event)
{
	if (window.widget)
	{
			widget.openURL (htmlcode.url);
	} else document.location = htmlcode.url;
}